/*
 * 必須
 */
enchant('draw');

/*
 * 定数
 */
var SCREEN_WIDTH = 320;					// 画面の幅
var SCREEN_HEIGHT = 480;					// 画面の高さ
var MAP_WIDTH = 300;						// マップ画像の幅
var MAP_HEIGHT = 200;						// マップ画像の高さ
var BUTTON_WIDTH = 150;					// 解答ボタンの幅
var BUTTON_HEIGHT = 50;					// 解答ボタンの高さ
var PREFS = 47;								// 都道府県の数
// ゲームモード（game.mode）
var START = 0;								// スタート時
var GAME = 1;								// ゲーム中
var NEXT = 2;								// 次の問題
var WAIT = 3;								// 画面遷移待ち
var END = 4;									// ゲーム終了
var EFFECT = 5;								// エフェクト
// ゲームの出題タイプ
var RANDOM = 0;								// ランダムで47問出題
var NORMAL = 1;								// 順番（都道府県番号順）に出題：未使用
// エフェクトタイプ
var TYPE_USUAL = 1;							// 通常エフェクト
var TYPE_LAST = 2;							// ラストエフェクト
// 画像ファイル
var FONT = "font.png";						// ゲームフォント
var BG_KUMO = "kumo.png";					// 雲画像
var IMG_TITLE = "title.png";					// タイトル画像
var IMG_BUTTON = "button.png";				// ボタン画像（通常時）
var IMG_BUTTONPUSH = "buttonPush.png";		// ボタン画像（押した時）
var IMG_MARUBATU = "marubatu.png";			// ○×画像
var IMG_ENDEFFECT = "endEffect.png";			// ゲーム終了画像
var IMG_GREAT = "great.png";					// GREAT!の画像
var IMG_FANTASTIC = "fantastic.png";			// ファンタスティック！の画像
var IMG_CENTER = "center.png";				// あと半分！の画像
var IMG_LAST3 = "last3.png";					// あと３つ！の画像
var IMG_LAST1 = "last1.png";					// あと１!!の画像
var IMG_CLEAR = "clear.png";					// 完全制覇の画像

var ASSETS = [FONT, BG_KUMO, IMG_TITLE, IMG_BUTTON, IMG_BUTTONPUSH, IMG_MARUBATU, IMG_ENDEFFECT, IMG_GREAT, IMG_FANTASTIC, IMG_CENTER, IMG_LAST3, IMG_LAST1, IMG_CLEAR];

/*
 * グローバル変数
 */
var game = null;						// このゲーム
var scTitle = null;						// タイトル画面
var scGame = null;					// ゲーム画面
var objects = [];						// オブジェクトのスタック
var hiscoreText = null;					// ハイスコア表示ラベル
var numberText = null;				// 問題番号表示用ラベル
var scoreText = null;					// スコア表示ラベル
var hiscore = 0;						// ハイスコア
var endEffect = null;					// 終了時のエフェクト
var passedTime = 0;					// 経過秒数（game.mode == WAIT時に使用）
var map = null;						// 問題表示用
var button = [];						// 解答ボタン用
var no;								// 表示する問題配列添え字番号
var gameEndNo;						// 終了する問題配列添え字番号
var mondai = [];						// 出題する問題（添字が出題順で内容が都道府県番号を設定）
